Skip to main content
`Ctrl`+`K`

# TaoADMMSetMisfitHessianChangeStatus

Set boolean that determines whether Hessian matrix of misfit subsolver changes with respect to input vector.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetMisfitHessianChangeStatus(Tao tao, PetscBool b)

Collective

## Input Parameters

- tao - the Tao solver context.

- b - the Hessian matrix change status boolean, `PETSC_FALSE` when the Hessian matrix does not change, `PETSC_TRUE` otherwise.

## See Also

`TAOADMM`

## Level

advanced

## Location

src/tao/constrained/impls/admm/admm.c

## Examples

src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages